Name: gzip
Version: 1.3.3
Release: alt3

Summary: The GNU data compression program
License: GPL
Group: Archiving/Compression

Source: ftp://ftp.gnu.org/pub/gnu/%name/%name-%version.tar.bz2

Patch1: %name-1.3.1-openbsd-owl-alt-tmp.patch
Patch2: %name-1.3.1-alt-texinfo.patch
Patch3: %name-1.2.4-rh-zforce.patch
Patch4: %name-1.3-rh-stderr.patch
Patch5: %name-1.3.1-rh-zgreppipe.patch

Provides: /bin/gzip, /bin/gunzip, /bin/zcat

%package utils
Summary: Utilities for the GNU gzip
Group: Archiving/Compression
Requires: %name = %version-%release, mktemp >= 1:1.3.1
Provides: %name-devel = %version
Obsoletes: %name-devel

%description
The %name package contains the popular GNU gzip data compression program.
Gzipped files have a .gz extension.

Gzip should be installed on your %distribution system, because it is
a very commonly used data compression program.

%description utils
The %name-devel package contains utilities for the popular
GNU gzip data compression program.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%define _optlevel 9
%add_optflags %optflags_notraceback
%configure
%make_build
make %name.info

%install
mkdir -p $RPM_BUILD_ROOT{/bin,%_mandir}
%makeinstall

mv -f $RPM_BUILD_ROOT%_bindir/%name $RPM_BUILD_ROOT/bin/%name
ln -sf %name $RPM_BUILD_ROOT/bin/gunzip
ln -sf %name $RPM_BUILD_ROOT/bin/zcat
ln -sf zdiff $RPM_BUILD_ROOT%_bindir/zcmp
for n in %name gunzip zcat; do
	ln -sf ../../bin/$n $RPM_BUILD_ROOT%_bindir
done

ln -sf gzip.1 $RPM_BUILD_ROOT%_man1dir/gunzip.1
ln -sf gzip.1 $RPM_BUILD_ROOT%_man1dir/zcat.1
ln -sf zdiff.1 $RPM_BUILD_ROOT%_man1dir/zcmp.1

for i in zdiff zforce zgrep zmore znew; do
	perl -pi -e "s,$RPM_BUILD_ROOT,,g" $RPM_BUILD_ROOT%_bindir/$i
done

rm -f $RPM_BUILD_ROOT{%_bindir/zless,%_man1dir/zless.1}

%files
/bin/*
%_mandir/man?/gzip.*
%_mandir/man?/gunzip.*
%_mandir/man?/zcat.*
%_infodir/*.info*
%doc NEWS README

%files utils
%_bindir/*
%_mandir/man?/gzexe.*
%_mandir/man?/zcmp.*
%_mandir/man?/zdiff.*
%_mandir/man?/zforce.*
%_mandir/man?/zgrep.*
%_mandir/man?/zmore.*
%_mandir/man?/znew.*

%changelog
* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 1.3.3-alt3
- rebuild with gcc3

* Wed Jun 12 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.3-alt2
- Added "Provides: /bin/gzip, /bin/gunzip, /bin/zcat" to gzip subpackage.

* Wed Jun 05 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.3-alt1
- 1.3.3 (nothing interesting).
- Additional convention enforcement on patch file names.

* Sat Jan 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.3.2-alt2
- Eliminated basename usage in gz* script utils.

* Wed Nov 21 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.3.2-alt1
- 1.3.2
- Renamed devel subpackage into %name-utils.

* Tue Nov 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.3.1-alt1
- 1.3.1
- Updated patches.
- Corrected mktemp dependence.

* Sat Sep 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3-ipl5mdk
- Synced with Owl:
  + Synced with Todd's latest fixes: re-create the temporary file in gzexe
    safely when run on multiple files, support GZIP="--suffix .suf" in znew.
  + Patched unsafe temporary file handling in gzexe, zdiff, and znew based
    on work by Todd Miller of OpenBSD.
  + Dropped Red Hat's patch which attempted to fix some of the same issues
    for gzexe but was far from sufficient.

* Fri Jun 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3-ipl4mdk
- Merged in RH patches:
  + Patch various uses of $$ in the bundled scripts
  + Fix the SIGPIPE patch to avoid blank lines (#43319)
  + Fixed buzilla bug #26680. Wrong skip value after mktemp patch and forced
    overwrite for output file during decompression.
  + trap SIGPIPE in zgrep, so "zgrep | less" gets a happy ending
    (#24104).

* Sat Dec 02 2000 Dmitry V. Levin <ldv@fandra.org> 1.3-ipl3mdk
- Moved utilities to %name-devel subpackage.
- Removed PreReq: %__install_info.

* Tue Aug 29 2000 Dmitry V. Levin <ldv@fandra.org> 1.3-ipl2mdk
- Move lesspipe.sh and zless to less package.

* Sat Jun 24 2000 Dmitry V. Levin <ldv@fandra.org> 1.3-ipl1mdk
- 1.3

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.4a-ipl1mdk
* RE and Fandra adaptions.

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 1.2.4a-1mdk
- Updated sources to 1.2.4a (minor doc changes)
- Updated rpm group
- Cleanup to conform to spec-helper

* Wed Mar 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.4-19mdk
- added lesspipe.sh (allowing zless to handle arbitrary compressions
  methods, but also allows to use less command line parameters on zless,
  and use arrows keys to navigate between various files; that is a nice
  and useful zless not one only limited to "zcat $* | less" )

* Thu Dec 16 1999 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Added 4g patch, from www.gzip.org

* Thu Dec 16 1999 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed zforce.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix building as user.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- built against glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- added /usr/bin/gzip and /usr/bin/gunzip symlinks as some programs are too
  brain dead to figure out they should be at least trying to use $PATH
- added BuildRoot

* Wed Jan 28 1998 Erik Troan <ewt@redhat.com>
- fix /tmp races

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info
- applied patch for gzexe

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Marc Ewing <marc@redhat.com>
- (Entry added for Marc by Erik) fixed gzexe to use /bin/gzip

